Description

Hello,

a role with the permissions:

destroy_reports

view_reports

upload_reports

Has no permissions to view reports of a host:

See screenshot attached

Version: 1.11.1

History

#1 - 04/12/2016 08:45 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

- Status changed from New to Need more information

Please confirm the version of Foreman you are using, we haven't released 1.11.1.  There was a similar issue fixed during the release candidates, so

ensure you are on 1.11.0.

I can't reproduce it at the moment on develop, so please attach production.log with permissions and SQL debugging enabled: 

http://theforeman.org/manuals/1.11/index.html#7.2Debugging

#2 - 04/12/2016 08:46 AM - Dominic Cleal

Oh, something else - the permissions should be called view_config_reports, not view_reports.  Please check the list of available permissions, and try

running foreman-rake db:migrate and foreman-rake db:seed again.

#3 - 04/13/2016 02:29 AM - Robert Heinzmann

We are running Foreman 1.11

I added the following permissions of group "ConfigReport" and now it works. 

163 | view_config_reports            | ConfigReport

  164 | destroy_config_reports         | ConfigReport

  165 | upload_config_reports          | ConfigReport

 However, is "ConfigReport" a replacement for "Report" ?

It seems ConfigReport is a new config option in 1.11, is that right ?

So, using the right permissions solved the issue.

#4 - 04/13/2016 03:01 AM - Dominic Cleal
http://theforeman.org/manuals/1.11/index.html#7.2Debugging


- Status changed from Need more information to Resolved

Yes, ConfigReport replaces Report, however it should have been renamed during the DB migration from 1.10 to 1.11, so something went wrong.  The

old Report/view_reports permissions should no longer exist.

The logs from the DB migration may show, if they happened to be stored somewhere - the 20150728122736 (Change report permissions) migration

should have changed it.

Glad it's sorted anyway, I'll close this for now.
